<?php

require __DIR__ . '/../vendor/autoload.php';
require __DIR__ . '/E2eTestHelper.php';

use Kompetenztestde\TestcenterConnector\Models\File;
use Kompetenztestde\TestcenterConnector\TestcenterConnector;

$config = getTestcenterConfig();
$connector = new TestcenterConnector($config->getUser(), $config->getBaseUrl());

$files = [
    new File('SAMPLE_TESTTAKERS.XML', File::TESTTAKERS_FILE)
];

$response = $connector->deleteFiles(1, $files);
var_dump($response);
