<?php

use Kompetenztestde\TestcenterConnector\MultiTestcenterConnector;

require __DIR__ . '/../vendor/autoload.php';
require __DIR__ . '/E2eTestHelper.php';

$config1 = getTestcenterConfig('_1');
$config2 = getTestcenterConfig('_2');

$connector1 = new MultiTestcenterConnector([$config1, $config2]);
$start1 = microtime(true);
$result = $connector1->getGroupResultsAsync('Sample Workspace', 'test_group');
$end1 = microtime(true);
$duration = number_format($end1 - $start1, 2);
echo("Duration async: $duration\n");

$connector2 = new MultiTestcenterConnector([$config1, $config2]);
$start2 = microtime(true);
$result = $connector2->getGroupResults('Sample Workspace', 'test_group');
$end2 = microtime(true);
$duration = number_format($end2 - $start2, 2);
echo("Duration sync: $duration\n");
