<?php

namespace Kompetenztestde\TestcenterConnector\Api\Schemas;

use Kompetenztestde\TestcenterConnector\Exceptions\TestcenterConnectorException;

class CustomTexts
{
    /**
     * @var string|null
     */
    private $key;

    /**
     * @var string|null
     */
    private $another_key;

     /**
     * @param object $data
     */
    public function __construct(object $data)
    {
        $this->key = $data->key ?? null;
        $this->another_key = $data->another_key ?? null;
    }

    /**
     * Get the value of key
     *
     * @return  string
     */
    public function getKey()
    {
        return $this->key;
    }

    /**
     * Set the value of key
     *
     * @param  string  $key
     * @return  self
     */
    public function setKey(string $key)
    {
        $this->key = $key;

        return $this;
    }

    /**
     * Get the value of another_key
     *
     * @return  string
     */
    public function getAnotherKey()
    {
        return $this->another_key;
    }

    /**
     * Set the value of another_key
     *
     * @param  string  $another_key
     * @return  self
     */
    public function setAnotherKey(string $another_key)
    {
        $this->another_key = $another_key;

        return $this;
    }
}
