<?php

namespace Kompetenztestde\TestcenterConnector\Xml;

class LoginMode
{
    public const RUN_HOT_RETURN = 'run-hot-return';
    public const RUN_HOT_RESTART = 'run-hot-restart';
    public const RUN_TRIAL = 'run-trial';
    public const RUN_REVIEW = 'run-review';
    public const MONITOR_GROUP = 'monitor-group';
    public const MONITOR_STUDY = 'monitor-study';
    public const RUN_DEMO = 'run-demo';
    public const RUN_SIMULATION = 'run-simulation';

    /**
     * @param string $mode
     * @return bool
     */
    public static function isAllowedLoginMode(string $mode): bool
    {
        return in_array($mode, [
            self::RUN_HOT_RETURN,
            self::RUN_HOT_RESTART,
            self::RUN_TRIAL,
            self::RUN_REVIEW,
            self::MONITOR_GROUP,
            self::MONITOR_STUDY,
            self::RUN_DEMO,
            self::RUN_SIMULATION
        ]);
    }
}
