<?php

use Kompetenztestde\TestcenterConnector\Models\User;
use Kompetenztestde\TestcenterConnector\TestcenterInstanceConfig;

function getTestcenterConfig($suffix = ''): TestcenterInstanceConfig
{
    $baseUrl = getenv("TESTCENTER_BASE_URL$suffix") ? getenv("TESTCENTER_BASE_URL$suffix") : 'http://localhost/api';
    $username = getenv("TESTCENTER_USER$suffix") ? getenv("TESTCENTER_USER$suffix") : 'super';
    $password = getenv("TESTCENTER_PASSWORD$suffix") ? getenv("TESTCENTER_PASSWORD$suffix") : 'user123';

    $user = new User($username, $password, User::ADMIN_ROLE);
    return new TestcenterInstanceConfig($baseUrl, $user);
}
