<?php

use Kompetenztestde\TestcenterConnector\Api\TestcenterApiClient;

require __DIR__ . '/../vendor/autoload.php';
require __DIR__ . '/E2eTestHelper.php';

$config = getTestcenterConfig();
$apiClient = new TestcenterApiClient($config->getBaseUrl());

$user = $config->getUser();
$session = $apiClient->startAdminSession($user->getUsername(), $user->getPassword());
$responses = $apiClient->getReportOfItemResponses($session->getToken(), 4, ['test-group-2']);
var_dump($responses);
