<?php

namespace Kompetenztestde\TestcenterConnector\Models;

abstract class Login
{
    /**
     * @var string
     */
    private $username;

    /**
     * @var string|null
     */
    private $password;

    /**
     * @param string $username
     * @param string|null $password
     */
    public function __construct(string $username, ?string $password = null)
    {
        $this->username = $username;
        $this->password = $password;
    }

    /**
     * @return string
     */
    public function getUsername(): string
    {
        return $this->username;
    }

    /**
     * @return ?string
     */
    public function getPassword(): ?string
    {
        return $this->password;
    }
}
